# The Yaf_Route_Map class

(Yaf >=1.0.0)

## Introduction

Yaf_Route_Map is a built-in route, it simply convert a URI endpoint (that part of the URI which comes after the base URI: see Yaf_Request_Abstract::setBaseUri()) to a controller name or action name(depends on the parameter passed to Yaf_Route_Map::__construct()) in following rule: A => controller A. A/B/C => controller A_B_C. A/B/C/D/E => controller A_B_C_D_E.

If the second parameter of Yaf_Route_Map::__construct() is specified, then only the part before delimiter of URI will used to routing, the part after it is used to routing request parameters (see the example section of Yaf_Route_Map::__construct()).

## Class synopsis

Yaf_Route_Map implements Yaf_Route_Interface {
/* Properties */
protected $_ctl_router ;
protected $_delimiter ;
/* Methods */
public assemble ( array `$info` [, array `$query` ] ) : string
public __construct ([ string `$controller_prefer` = `FALSE` [, string `$delimiter` = "" ]] )
public route ( Yaf_Request_Abstract `$request` ) : bool
}

## Properties

_ctl_router

_delimiter

## Table of Contents

- Yaf_Route_Map::assemble — Assemble a url
- Yaf_Route_Map::__construct — The __construct purpose
- Yaf_Route_Map::route — The route purpose